Subject: RE: Windows 2000: "WARNING: terminal is not fully functional" and pro blems with vi
From: "Mark Paulus" <[email-masked]>
To: "Schmiederer, John \(CRD\)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 31 Aug 2001 08:42:25 -0600

I'm thinking you have 2 problems here:
that NUTC program has set your TERMINFO environment
variable, which is giving you the funky database, and
you have a funky terminal  To fix it, I would add the following 2
lines to your .profile, or create a .profile with them if you don't 
have one:

unset TERMINFO
export TERM=cygwin

It appears that one of those programs you installed has set your
windows environment variables globally.  The above should allow
cygwin to work correctly, and not cause your other stuff to break.
If anyone else has any answers, feel free to jump in with a better 
solution.

On Fri, 31 Aug 2001 10:23:39 -0400, Schmiederer, John \(CRD\) wrote:

>I included the attachment in my other message, although it looks like garbage when I look at it on
>the web group.  I've included it in the body of this email at the bottom.
>You're dead on as far as me having a funky terminal type.  My $TERM is 'nutc' and the first lines of
>my infocmp output are:
>"#       Reconstructed via infocmp from file:
>C:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\usr\lib\terminfo/n/nutc
>nutc|vanilla nutc terminal,"
>
>Now that the problem is acurately defined, what can I do to set the $TERM or whatever else to the
>correct value?
>
>John
>
>------------------------------
>cygcheck.out:
>
>Cygnus Win95/NT Configuration Diagnostics
>Current System Time: Fri Aug 31 09:49:57 2001
>
>WinNT Ver 5.0 build 2195 Service Pack 2
>
>Path:	/usr/local/bin
>	/usr/bin
>	/bin
>	/cygdrive/c/PROGRA~1/RATIONAL/RATION~1/NUTCROOT/bin
>	/cygdrive/c/PROGRA~1/RATIONAL/RATION~1/NUTCROOT/bin/x11
>	/cygdrive/c/PROGRA~1/RATIONAL/RATION~1/NUTCROOT/mksnt
>	/cygdrive/c/Winnt/system32
>	/cygdrive/c/Winnt
>	/cygdrive/c/Winnt/System32/Wbem
>	/cygdrive/c/ORANT/BIN
>	/cygdrive/c/JDK1.3.1/BIN
>	/cygdrive/c/PROGRA~1/NETSCAPE/COMMUN~1/PROGRAM
>	/cygdrive/c/PROGRA~1/NETSCAPE/NAVIGA~1/PROGRAM
>	"C
>	/Exceed7/Accessories/"
>	/cygdrive/c/matlab6p1/bin/win32
>	/cygdrive/c/Program Files/Rational/common
>	/cygdrive/c/Program Files/Rational/Rose/TopLink/
>	/cygdrive/c/Program Files/Rational/Rational Test
>
>SysDir: C:\WINNT\System32
>WinDir: C:\WINNT
>
>PWD = `/'
>USER = `wsroot'
>MAKE_MODE = `unix'
>HOME = `/home/wsroot'
>
>NUMBER_OF_PROCESSORS = `1'
>PROMPT = `$P$G'
>LOGONSERVER = `\\DC02GECRDGE'
>OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
>RQAHOME = `C:\Program Files\Rational\Rational Test\QualityArchitect'
>COMSPEC = `C:\WINNT\system32\cmd.exe'
>!C: = `C:\cygwin\bin'
>SYSTEMDRIVE = `C:'
>HOSTNAME = `NSK1SCHMIEDERER'
>PROCESSOR_REVISION = `0702'
>NUTSUFFIX = `1'
>PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
>COMPUTERNAME = `NSK1SCHMIEDERER'
>COMMONHOME = `C:\Program Files\Rational\common'
>WINDIR = `C:\WINNT'
>USERPROFILE = `C:\Documents and Settings\schmiede'
>TERMINFO = `C:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\usr\lib\terminfo'
>NUTCROOT = `C:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT'
>PS1 = `\[\033]0;\w\007
>\033[32m\]\u@\h \[\033[33m\w\033[0m\]
>$ '
>HOMESHARE = `\\dat01crd\schmiede$'
>PROGRAMFILES = `C:\Program Files'
>!:: = `::\'
>MACHTYPE = `i686-pc-cygwin'
>PROCESSOR_IDENTIFIER = `x86 Family 6 Model 7 Stepping 2, GenuineIntel'
>LM_LICENSE_FILE = `1712@crdlic01'
>OS = `Windows_NT'
>OLDPWD = `/home'
>NUT_SUFFIXED_SEARCHING = `1'
>PROCESSOR_ARCHITECTURE = `x86'
>TEMP = `/cygdrive/c/DOCUME~1/schmiede/LOCALS~1/Temp'
>TERMCAP = `C:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\etc\termcap'
>PROCESSOR_LEVEL = `6'
>SYSTEMROOT = `C:\WINNT'
>LAB_EQUIP = `NO'
>HOMEDRIVE = `H:'
>ALLUSERSPROFILE = `C:\Documents and Settings\All Users'
>SHLVL = `1'
>RATL_RTHOME = `C:\Program Files\Rational\Rational Test'
>APPDATA = `C:\Documents and Settings\schmiede\Application Data'
>COMMONPROGRAMFILES = `C:\Program Files\Common Files'
>HOMEPATH = `\'
>USERDOMAIN = `GECRD'
>USERNAME = `schmiede'
>SHELL = `/bin/bash'
>HOSTTYPE = `i686'
>MACHINE_TYPE = `DESKTOP'
>OSTYPE = `cygwin'
>GEOWNED = `YES'
>TERM = `nutc'
>SMS_LOCAL_DIR = `C:\WINNT'
>_ = `/usr/bin/cygcheck'
>TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'
>
>HKEY_CURRENT_USER\Software\Cygnus Solutions
>HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
>HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>  (default) = `/cygdrive'
>  cygdrive flags = 0x00000022
>HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
>HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start
>Menu\Programs\Cygnus Solutions
>  (default) = (unsupported type)
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
>  (default) = `C:/cygwin'
>  flags = 0x0000000a
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
>  (default) = `C:/cygwin/bin'
>  flags = 0x0000000a
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
>  (default) = `C:/cygwin/lib'
>  flags = 0x0000000a
>HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options
>
>a:  fd           N/A    N/A                    
>c:  hd  NTFS    9758Mb  43% CP CS UN PA FC     
>d:  cd           N/A    N/A                    
>h:  net NTFS   243114Mb  72% CP CS UN PA FC     New Volume
>
>C:\cygwin\bin  /usr/bin  system  binmode
>C:\cygwin\lib  /usr/lib  system  binmode
>C:\cygwin  /        system  binmode
>c:    /cygdrive/c  user    binmode,noumount
>h:    /cygdrive/h  user    binmode,noumount
>
>Found: C:\cygwin\bin\bash.exe
>Found: C:\cygwin\bin\cat.exe
>Found: C:\cygwin\bin\cpp.exe
>Found: c:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\bin\cpp.exe
>Warning: C:\cygwin\bin\cpp.exe hides c:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\bin\cpp.exe
>Found: C:\cygwin\bin\find.exe
>Found: C:\cygwin\bin\gcc.exe
>Found: C:\cygwin\bin\gdb.exe
>Found: C:\cygwin\bin\ld.exe
>Found: C:\cygwin\bin\ls.exe
>Found: C:\cygwin\bin\make.exe
>Found: C:\cygwin\bin\sh.exe
>
>   56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
>                  "cygbz21.0.dll" v0.0 ts=2000/11/20 18:53
>   45k 2001/04/25 C:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
>                  "cygform5.dll" v0.0 ts=2001/4/25 1:28
>   18k 2000/10/23 C:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
>                  "cyggdbm.dll" v0.0 ts=2000/10/22 22:26
>   17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
>                  "cyghistory4.dll" v0.0 ts=2001/1/6 23:34
>   21k 2001/06/28 C:\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
>                  "cyghistory5.dll" v0.0 ts=2001/6/27 22:27
>   21k 2001/06/20 C:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
>                  "cygintl.dll" v0.0 ts=2001/6/20 13:09
>   81k 2000/12/05 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
>                  "cygitcl30.dll" v0.0 ts=2000/11/25 20:43
>   35k 2000/12/05 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
>                  "cygitk30.dll" v0.0 ts=2000/11/25 20:43
>   45k 2001/07/04 C:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
>                  "cygjbig1.dll" v0.0 ts=2001/7/3 23:25
>  119k 2001/06/06 C:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
>                  "cygjpeg6b.dll" v0.0 ts=2001/6/6 0:27
>   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
>                  "cygmenu5.dll" v0.0 ts=2001/4/25 1:27
>  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
>                  "cygncurses++5.dll" v0.0 ts=2001/4/25 1:29
>  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
>                  "cygncurses5.dll" v0.0 ts=2001/4/25 1:17
>   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
>                  "cygpanel5.dll" v0.0 ts=2001/4/25 1:27
>  163k 2001/05/06 C:\cygwin\bin\cygpng2.dll - os=4.0 img=1.0 sys=4.0
>                  "cygpng2.dll" v0.0 ts=2001/5/6 0:05
>  108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
>                  "cygreadline4.dll" v0.0 ts=2001/1/6 23:34
>  135k 2001/06/28 C:\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
>                  "cygreadline5.dll" v0.0 ts=2001/6/27 22:27
>  390k 2000/12/05 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                  "cygtcl80.dll" v0.0 ts=2000/11/25 20:39
>    5k 2000/12/05 C:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
>   10k 2000/12/05 C:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
>                  "cygtclreg80.dll" v0.0 ts=2000/11/25 20:39
>  245k 2001/06/12 C:\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
>                  "cygtiff3.dll" v0.0 ts=2001/6/12 13:25
>  623k 2000/12/05 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                  "cygtk80.dll" v0.0 ts=2000/11/25 20:43
>   41k 2001/07/04 C:\cygwin\bin\cygXpm-noX4.dll - os=4.0 img=1.0 sys=4.0
>                  "cygXpm-noX4.dll" v0.0 ts=2001/7/3 21:21
>   45k 2001/07/04 C:\cygwin\bin\cygXpm-X4.dll - os=4.0 img=1.0 sys=4.0
>                  "cygXpm-X4.dll" v0.0 ts=2000/11/19 21:45
>   49k 2001/02/03 C:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
>                  "cygz.dll" v0.0 ts=2001/2/3 15:35
>  678k 2001/05/21 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                  "cygwin1.dll" v0.0 ts=2001/5/20 23:28
>    Cygwin DLL version info:
>        dll major: 1003
>        dll minor: 2
>        dll epoch: 19
>        dll bad signal mask: 19005
>        dll old termios: 5
>        dll malloc env: 28
>        api major: 0
>        api minor: 39
>        shared data: 3
>        dll identifier: cygwin1
>        mount registry: 2
>        cygnus registry name: Cygnus Solutions
>        cygwin registry name: Cygwin
>        program options name: Program Options
>        cygwin mount registry name: mounts v2
>        cygdrive flags: cygdrive flags
>        cygdrive prefix: cygdrive prefix
>        cygdrive default prefix: 
>        build date: Sun May 20 23:28:17 EDT 2001
>        shared id: cygwin1S3
>
>Use -h to see help about each section
>
>-----Original Message-----
>From: Mark Paulus [mailto:[email-masked]]
>Sent: Friday, August 31, 2001 10:12 AM
>To: Schmiederer, John (CRD)
>Subject: Re: Windows 2000: "WARNING: terminal is not fully functional"
>and pro blems with vi
>
>
>Where did you include the cygcheck output?  (If it's an attachment, it didn't make
>it through...)
>
>A couple of things to check.  What is the value of $TERM?  You can check this either
>doing an 'echo $TERM', or doing an 'infocmp'.
>What are the first couple of lines of output from the 'infocmp' command?
>(Mine looks like this:
>#       Reconstructed via infocmp from file: /usr/share/terminfo/c/cygwin
>cygwin|ansi emulation for Cygwin,
>
>It sounds like you either have a funky terminal type set, or your aren't finding
>your terminfo database.  'infocmp' will help you determine that....
>
>
>
>
>On Fri, 31 Aug 2001 09:59:04 -0400, Schmiederer, John \(CRD\) wrote:
>
>>	As of a couple days ago, my cygwin terminal has been acting up.  Whenever I use the 'less'
>>command I get the warning that my terminal is not fully functional.  When I use vi, the cursor never
>>moves from the top left corner.  I can type the command to go to line five and then insert or delete
>>characters, but I can't see my self doing it.  Also, the colors for vi variables and comments and
>>everything else changed.
>>	I first noticed the problem after I installed both Matlab and Rational Rose software.  I have
>>tried uninstalling, and reinstalling cygwin, but I still get the same error.  I have also included
>>the output of 'cygcheck -s -v -r'. 
>>
>>> g  GE Corporate Research & Development
>>gggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggg
>g
>>gggggggggggggggg
>>John Schmiederer
>>Computer Scientist
>>Information Technology Training Program
>>Phone: 518-387-5243
>>Building K1-5B42A
>>
>>
>>--
>>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>>Bug reporting:         http://cygwin.com/bugs.html
>>Documentation:         http://cygwin.com/docs.html
>>FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/